import { ChainAddress, ChainsConfig, TokenId, TransactionId, WormholeMessageId } from "@wormhole-foundation/sdk-definitions";
export type WormholeConfig = {
    api: string;
    circleAPI: string;
    chains: ChainsConfig;
};
export type TokenTransferDetails = {
    token: TokenId | "native";
    amount: bigint;
    from: ChainAddress;
    to: ChainAddress;
    automatic?: boolean;
    payload?: Uint8Array;
    nativeGas?: bigint;
};
export type CircleTransferDetails = {
    amount: bigint;
    from: ChainAddress;
    to: ChainAddress;
    automatic?: boolean;
    payload?: Uint8Array;
    nativeGas?: bigint;
};
export type WormholeMessage = {
    tx: TransactionId;
    msg: WormholeMessageId;
    payloadId: bigint;
};
export type TokenTransferTransaction = {
    message: WormholeMessage;
    details: TokenTransferDetails;
    block: bigint;
    gasFee: bigint;
};
export type CircleTransferTransaction = {
    message?: WormholeMessage;
    details: CircleTransferDetails;
    block: bigint;
    gasFee: bigint;
};
export declare function isTokenTransferDetails(thing: TokenTransferDetails | any): thing is TokenTransferDetails;
export declare function isCircleTransferDetails(thing: CircleTransferDetails | any): thing is TokenTransferDetails;
//# sourceMappingURL=types.d.ts.map