import { Network, PlatformName } from "@wormhole-foundation/sdk-base";
import { ChainsConfig } from "@wormhole-foundation/sdk-definitions";
export declare const DEFAULT_TASK_TIMEOUT: number;
export declare const CIRCLE_RETRY_INTERVAL = 2000;
export declare const WHSCAN_RETRY_INTERVAL = 2000;
export declare const chainConfigs: (<K1 extends "Mainnet" | "Testnet" | "Devnet">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" | "Devnet" ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", ChainsConfig], readonly ["Testnet", ChainsConfig], readonly ["Devnet", ChainsConfig]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", ChainsConfig], readonly ["Testnet", ChainsConfig], readonly ["Devnet", ChainsConfig]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("@wormhole-foundation/sdk-base").ObjectFromMappingEntries<readonly [readonly ["Mainnet", ChainsConfig], readonly ["Testnet", ChainsConfig], readonly ["Devnet", ChainsConfig]]>[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint | boolean | PropertyKey ? import("@wormhole-foundation/sdk-base").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => ChainsConfig | undefined;
    has: (args_0: string) => boolean;
};
export declare function networkPlatformConfigs(network: Network, platform: PlatformName): ChainsConfig;
export declare const CONFIG: {
    readonly Mainnet: {
        readonly api: "https://api.wormholescan.io";
        readonly circleAPI: "https://iris-api.circle.com/v1/attestations";
        readonly chains: ChainsConfig;
    };
    readonly Testnet: {
        readonly api: "https://api.testnet.wormholescan.io";
        readonly circleAPI: "https://iris-api-sandbox.circle.com/v1/attestations";
        readonly chains: ChainsConfig;
    };
    readonly Devnet: {
        readonly api: "http://guardian:7071";
        readonly circleAPI: "";
        readonly chains: ChainsConfig;
    };
};
export declare const DEFAULT_NETWORK: Network;
//# sourceMappingURL=config.d.ts.map